curl --request GET \
--url https://getunblocked.com/api/v1/answers \
--header 'Authorization: Bearer <token>'import requests
url = "https://getunblocked.com/api/v1/answers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://getunblocked.com/api/v1/answers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"state": "processing",
"questionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"question": "<string>",
"answer": "<string>",
"references": [
{
"htmlUrl": "<string>"
}
]
}
]{
"status": 400
}{
"status": 400
}{
"status": 400
}List Answers
List all questions and answers for your organization, ordered by creation time (newest first).
Authentication behavior:
- Personal Access Token (PAT) keys: Only questions asked by that specific user are returned (user-level isolation)
- Organization-wide API keys: All questions in the organization are returned
Authorizations
The API key to authenticate requests. Obtainable from the web dashboard.
Query Parameters
Limit used to constrain results of list operations. When not specified a default limit of 25 is used.
A maximum limit is applied to the results, so the server may respond with fewer results than requested; clients must not use this as a signal that this is the final page of results.
1 <= x <= 200Opaque cursor to be used for paging in a forward or backward direction. Cursors are stateless and so they never expire.
1 - 10000Opaque cursor to be used for paging in a forward or backward direction. Cursors are stateless and so they never expire.
1 - 10000Response
OK
processing, complete The unique identifier for the question
The original question text that was asked
The answer to the question in Markdown format
References used in the answer
Show child attributes
Show child attributes